FROM --platform=linux/amd64 public.ecr.aws/lambda/nodejs:18

# pkijs nécessite des dépendances build (si tu ajoutes d'autres libs native)
RUN yum -y install openssl && yum clean all

WORKDIR /var/task
COPY package.json package-lock.json* ./
RUN npm install --omit=dev

COPY . .

ENV AWS_REGION=eu-west-3
CMD ["index.handler"]